"use weex:vue";

if (typeof Promise !== 'undefined' && !Promise.prototype.finally) {
  Promise.prototype.finally = function(callback) {
    const promise = this.constructor
    return this.then(
      value => promise.resolve(callback()).then(() => value),
      reason => promise.resolve(callback()).then(() => {
        throw reason
      })
    )
  }
};

if (typeof uni !== 'undefined' && uni && uni.requireGlobal) {
  const global = uni.requireGlobal()
  ArrayBuffer = global.ArrayBuffer
  Int8Array = global.Int8Array
  Uint8Array = global.Uint8Array
  Uint8ClampedArray = global.Uint8ClampedArray
  Int16Array = global.Int16Array
  Uint16Array = global.Uint16Array
  Int32Array = global.Int32Array
  Uint32Array = global.Uint32Array
  Float32Array = global.Float32Array
  Float64Array = global.Float64Array
  BigInt64Array = global.BigInt64Array
  BigUint64Array = global.BigUint64Array
};


(()=>{var d=Object.create;var p=Object.defineProperty;var T=Object.getOwnPropertyDescriptor;var w=Object.getOwnPropertyNames;var B=Object.getPrototypeOf,L=Object.prototype.hasOwnProperty;var R=(i,_)=>()=>(_||i((_={exports:{}}).exports,_),_.exports);var C=(i,_,a,t)=>{if(_&&typeof _=="object"||typeof _=="function")for(let n of w(_))!L.call(i,n)&&n!==a&&p(i,n,{get:()=>_[n],enumerable:!(t=T(_,n))||t.enumerable});return i};var k=(i,_,a)=>(a=i!=null?d(B(i)):{},C(_||!i||!i.__esModule?p(a,"default",{value:i,enumerable:!0}):a,i));var s=R((M,x)=>{x.exports=Vue});var r=k(s());var c=(i,_)=>{let a=i.__vccOpts||i;for(let[t,n]of _)a[t]=n;return a};var S={lyy__color_main:{"":{color:"#2c68ff"}},lyy__color_base:{"":{color:"#333333"}},lyy__color_secondary:{"":{color:"#4d4d4d"}},lyy__color_error:{"":{color:"#c0322b"}},lyy__color_warning:{"":{color:"#ffb540"}},lyy__margin_ri_2:{"":{marginRight:"2rpx"}},lyy__margin_le_2:{"":{marginLeft:"2rpx"}},lyy__margin_bot_2:{"":{marginBottom:"2rpx"}},lyy__margin_top_2:{"":{marginTop:"2rpx"}},lyy__margin_ri_4:{"":{marginRight:"4rpx"}},lyy__margin_le_4:{"":{marginLeft:"4rpx"}},lyy__margin_bot_4:{"":{marginBottom:"4rpx"}},lyy__margin_top_4:{"":{marginTop:"4rpx"}},lyy__margin_ri_6:{"":{marginRight:"6rpx"}},lyy__margin_le_6:{"":{marginLeft:"6rpx"}},lyy__margin_bot_6:{"":{marginBottom:"6rpx"}},lyy__margin_top_6:{"":{marginTop:"6rpx"}},lyy__margin_ri_8:{"":{marginRight:"8rpx"}},lyy__margin_le_8:{"":{marginLeft:"8rpx"}},lyy__margin_bot_8:{"":{marginBottom:"8rpx"}},lyy__margin_top_8:{"":{marginTop:"8rpx"}},lyy__margin_ri_10:{"":{marginRight:"10rpx"}},lyy__margin_le_10:{"":{marginLeft:"10rpx"}},lyy__margin_bot_10:{"":{marginBottom:"10rpx"}},lyy__margin_top_10:{"":{marginTop:"10rpx"}},lyy__margin_ri_12:{"":{marginRight:"12rpx"}},lyy__margin_le_12:{"":{marginLeft:"12rpx"}},lyy__margin_bot_12:{"":{marginBottom:"12rpx"}},lyy__margin_top_12:{"":{marginTop:"12rpx"}},lyy__margin_ri_14:{"":{marginRight:"14rpx"}},lyy__margin_le_14:{"":{marginLeft:"14rpx"}},lyy__margin_bot_14:{"":{marginBottom:"14rpx"}},lyy__margin_top_14:{"":{marginTop:"14rpx"}},lyy__margin_ri_16:{"":{marginRight:"16rpx"}},lyy__margin_le_16:{"":{marginLeft:"16rpx"}},lyy__margin_bot_16:{"":{marginBottom:"16rpx"}},lyy__margin_top_16:{"":{marginTop:"16rpx"}},lyy__margin_ri_18:{"":{marginRight:"18rpx"}},lyy__margin_le_18:{"":{marginLeft:"18rpx"}},lyy__margin_bot_18:{"":{marginBottom:"18rpx"}},lyy__margin_top_18:{"":{marginTop:"18rpx"}},lyy__margin_ri_20:{"":{marginRight:"20rpx"}},lyy__margin_le_20:{"":{marginLeft:"20rpx"}},lyy__margin_bot_20:{"":{marginBottom:"20rpx"}},lyy__margin_top_20:{"":{marginTop:"20rpx"}},lyy__margin_ri_22:{"":{marginRight:"22rpx"}},lyy__margin_le_22:{"":{marginLeft:"22rpx"}},lyy__margin_bot_22:{"":{marginBottom:"22rpx"}},lyy__margin_top_22:{"":{marginTop:"22rpx"}},lyy__margin_ri_24:{"":{marginRight:"24rpx"}},lyy__margin_le_24:{"":{marginLeft:"24rpx"}},lyy__margin_bot_24:{"":{marginBottom:"24rpx"}},lyy__margin_top_24:{"":{marginTop:"24rpx"}},lyy__margin_ri_26:{"":{marginRight:"26rpx"}},lyy__margin_le_26:{"":{marginLeft:"26rpx"}},lyy__margin_bot_26:{"":{marginBottom:"26rpx"}},lyy__margin_top_26:{"":{marginTop:"26rpx"}},lyy__margin_ri_28:{"":{marginRight:"28rpx"}},lyy__margin_le_28:{"":{marginLeft:"28rpx"}},lyy__margin_bot_28:{"":{marginBottom:"28rpx"}},lyy__margin_top_28:{"":{marginTop:"28rpx"}},lyy__margin_ri_30:{"":{marginRight:"30rpx"}},lyy__margin_le_30:{"":{marginLeft:"30rpx"}},lyy__margin_bot_30:{"":{marginBottom:"30rpx"}},lyy__margin_top_30:{"":{marginTop:"30rpx"}},lyy__margin_ri_32:{"":{marginRight:"32rpx"}},lyy__margin_le_32:{"":{marginLeft:"32rpx"}},lyy__margin_bot_32:{"":{marginBottom:"32rpx"}},lyy__margin_top_32:{"":{marginTop:"32rpx"}},lyy__margin_ri_34:{"":{marginRight:"34rpx"}},lyy__margin_le_34:{"":{marginLeft:"34rpx"}},lyy__margin_bot_34:{"":{marginBottom:"34rpx"}},lyy__margin_top_34:{"":{marginTop:"34rpx"}},lyy__margin_ri_36:{"":{marginRight:"36rpx"}},lyy__margin_le_36:{"":{marginLeft:"36rpx"}},lyy__margin_bot_36:{"":{marginBottom:"36rpx"}},lyy__margin_top_36:{"":{marginTop:"36rpx"}},lyy__margin_ri_38:{"":{marginRight:"38rpx"}},lyy__margin_le_38:{"":{marginLeft:"38rpx"}},lyy__margin_bot_38:{"":{marginBottom:"38rpx"}},lyy__margin_top_38:{"":{marginTop:"38rpx"}},lyy__margin_ri_40:{"":{marginRight:"40rpx"}},lyy__margin_le_40:{"":{marginLeft:"40rpx"}},lyy__margin_bot_40:{"":{marginBottom:"40rpx"}},lyy__margin_top_40:{"":{marginTop:"40rpx"}},lyy__margin_ri_42:{"":{marginRight:"42rpx"}},lyy__margin_le_42:{"":{marginLeft:"42rpx"}},lyy__margin_bot_42:{"":{marginBottom:"42rpx"}},lyy__margin_top_42:{"":{marginTop:"42rpx"}},lyy__margin_ri_44:{"":{marginRight:"44rpx"}},lyy__margin_le_44:{"":{marginLeft:"44rpx"}},lyy__margin_bot_44:{"":{marginBottom:"44rpx"}},lyy__margin_top_44:{"":{marginTop:"44rpx"}},lyy__margin_ri_46:{"":{marginRight:"46rpx"}},lyy__margin_le_46:{"":{marginLeft:"46rpx"}},lyy__margin_bot_46:{"":{marginBottom:"46rpx"}},lyy__margin_top_46:{"":{marginTop:"46rpx"}},lyy__margin_ri_48:{"":{marginRight:"48rpx"}},lyy__margin_le_48:{"":{marginLeft:"48rpx"}},lyy__margin_bot_48:{"":{marginBottom:"48rpx"}},lyy__margin_top_48:{"":{marginTop:"48rpx"}},"box-margin":{"":{marginLeft:"46rpx",marginRight:"46rpx"}},"display-flex":{"":{display:"flex"}},"nav-wrap":{".map-container ":{position:"fixed",display:"flex",flexDirection:"row",alignItems:"center",justifyContent:"space-around",top:0,left:0,right:0,zIndex:100,backgroundColor:"#ffffff",height:"80rpx"}},item:{".map-container .nav-wrap ":{display:"flex",alignItems:"center",justifyContent:"center"}},t:{".map-container .nav-wrap .item ":{fontSize:"28rpx"}},line:{".map-container .nav-wrap .item ":{marginTop:"4rpx",width:"32rpx",height:"5rpx",borderRadius:"5rpx",backgroundColor:"#ffffff"},".map-container .nav-wrap .item .active":{backgroundColor:"#c0322b"}}},I={__name:"supporting-facilities",setup(i){let _=(0,r.ref)({}),a=(0,r.ref)(0),t=(0,r.ref)(["\u9AD8\u901F","\u6E2F\u53E3","\u673A\u573A","\u7269\u6D41","\u751F\u6D3B"]),n=(0,r.ref)(30.123456),f=(0,r.ref)(120.654321),l=(0,r.ref)(0),y=(0,r.ref)(0),u=(0,r.ref)([]);function b(){let{ctx:m}=(0,r.getCurrentInstance)();_.value=uni.createMapContext("map",m),_.value.initMarkerCluster({enableDefaultStyle:!1,zoomOnClick:!0,gridSize:60,complete(){}}),_.value.on("markerClusterCreate",()=>{})}function h(m){a.value=m}return(0,r.onMounted)(()=>{let m=wx.getSystemInfoSync();l.value=m.windowWidth,y.value=m.windowHeight,b()}),(m,z)=>((0,r.openBlock)(),(0,r.createElementBlock)("scroll-view",{scrollY:!0,showScrollbar:!0,enableBackToTop:!0,bubble:"true",style:{flexDirection:"column"}},[(0,r.createElementVNode)("view",{class:"map-container"},[(0,r.createElementVNode)("view",{class:"nav-wrap"},[((0,r.openBlock)(!0),(0,r.createElementBlock)(r.Fragment,null,(0,r.renderList)(t.value,(v,o)=>((0,r.openBlock)(),(0,r.createElementBlock)("view",{key:o,class:"item",onClick:D=>h(o)},[(0,r.createElementVNode)("u-text",{class:"t"},(0,r.toDisplayString)(v),1),(0,r.createElementVNode)("view",{class:(0,r.normalizeClass)(["line",{active:a.value===o}])},null,2)],8,["onClick"]))),128))]),(0,r.createElementVNode)("map",{class:"map",latitude:n.value,longitude:f.value,markers:u.value,scale:8,style:(0,r.normalizeStyle)(`width: ${l.value}px; height: ${y.value}px;`)},null,12,["latitude","longitude","markers"])])]))}},g=c(I,[["styles",[S]]]);var e=plus.webview.currentWebview();if(e){let i=parseInt(e.id),_="pages/map/supporting-facilities",a={};try{a=JSON.parse(e.__query__)}catch(n){}g.mpType="page";let t=Vue.createPageApp(g,{$store:getApp({allowDefault:!0}).$store,__pageId:i,__pagePath:_,__pageQuery:a});t.provide("__globalStyles",Vue.useCssStyles([...__uniConfig.styles,...g.styles||[]])),t.mount("#root")}})();
